#!/bin/bash

tmux new-session -d -s semi0
tmux new-session -d -s semi1
tmux new-session -d -s semi2
tmux new-session -d -s semi3

tmux send -t semi0 'source ~/pytorch/bin/activate' ENTER
tmux send -t semi1 'source ~/pytorch/bin/activate' ENTER
tmux send -t semi2 'source ~/pytorch/bin/activate' ENTER
tmux send -t semi3 'source ~/pytorch/bin/activate' ENTER

tmux send -t semi0 'export CUDA_VISIBLE_DEVICES=0' ENTER
tmux send -t semi1 'export CUDA_VISIBLE_DEVICES=1' ENTER
tmux send -t semi2 'export CUDA_VISIBLE_DEVICES=2' ENTER
tmux send -t semi3 'export CUDA_VISIBLE_DEVICES=3' ENTER

tmux send -t semi0 'cd ~/workspace/iclr22_pseudo' ENTER
tmux send -t semi1 'cd ~/workspace/iclr22_pseudo' ENTER
tmux send -t semi2 'cd ~/workspace/iclr22_pseudo' ENTER
tmux send -t semi3 'cd ~/workspace/iclr22_pseudo' ENTER

##### CivilComments #####

# tmux send -t semi0 'python darp_fixmatch.py --name fixmatch_identityany_semi13_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi13 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_identityany_semi23_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi23 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_identityany_semi03_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi03 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi3 'python darp_fixmatch.py --name fixmatch_black_semi03_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name black \
# --split semi03 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER


# tmux send -t semi0 'python darp_fixmatch.py --name fixmatch_identityany_semi03_val_frac_1_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi03 --val_frac 1 --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_identityany_semi13_val_frac_1_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi13 --val_frac 1 --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_identityany_semi23_val_frac_1_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi23 --val_frac 1 --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER


# tmux send -t semi0 'python darp_fixmatch.py --name fixmatch_black_semi03_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name black \
# --split semi03 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_black_semi13_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name black \
# --split semi13 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_black_semi23_val_frac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name black \
# --split semi23 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER



# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_identityany_semi03_val_frac_0.05_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi03 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_identityany_semi13_val_frac_0.05_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi13 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER

# tmux send -t semi3 'python darp_fixmatch.py --name fixmatch_identityany_semi23_val_frac_0.05_wsamling_pseudobalance_tau_0.95_class2_bert_lr_1e-5_wd_1e-2_epoch_50 \
# --dataset jigsaw --bias_name identity_any \
# --split semi23 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-2 --batch_size 8 --val_iteration 400' ENTER




##### Val frac - CelebA #####


# tmux send -t semi0 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi03 --val_frac 1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi13 --val_frac 1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi23 --val_frac 1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER


# tmux send -t semi0 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_0.2_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi03 --val_frac 0.2 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_0.2_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi13 --val_frac 0.2 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_0.2_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi23 --val_frac 0.2 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER


# tmux send -t semi0 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_0.05_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi03 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_0.05_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi13 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_0.05_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split semi23 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --optimizer sgd --lr 1e-4 --weight-decay 1e-1 --batch_size 64' ENTER



##### Val frac - Waterbirds #####

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_100 \
# --dataset cub_prev --image_size 224 \
# --split semi03 --val_frac 1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 100 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 64' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_100 \
# --dataset cub_prev --image_size 224 \
# --split semi13 --val_frac 1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 100 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 64' ENTER

# tmux send -t semi3 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_100 \
# --dataset cub_prev --image_size 224 \
# --split semi23 --val_frac 1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 100 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 64' ENTER

# tmux send -t semi3 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_0.1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_200 \
# --dataset cub_prev --image_size 224 \
# --split semi03 --val_frac 0.1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 200 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 32' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_0.1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_200 \
# --dataset cub_prev --image_size 224 \
# --split semi13 --val_frac 0.1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 200 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 32' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_0.1_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_200 \
# --dataset cub_prev --image_size 224 \
# --split semi23 --val_frac 0.1 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 200 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 32' ENTER

# tmux send -t semi3 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_0.05_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_200 \
# --dataset cub_prev --image_size 224 \
# --split semi03 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 200 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 16' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_0.05_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_200 \
# --dataset cub_prev --image_size 224 \
# --split semi13 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 200 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 16' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_0.05_wsampling_pseudobalance_class2_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_200 \
# --dataset cub_prev --image_size 224 \
# --split semi23 --val_frac 0.05 --sampling group_weight --pseudo_balance \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 200 --optimizer sgd --lr 1e-3 --weight-decay 1e-4 --batch_size 16' ENTER




##### Val frac 1 - MNLI #####


# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi23_valfrac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_2e-5_wd_0_epoch_50 \
# --dataset mnli_new \
# --split semi23 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 2e-5 --weight-decay 0 --batch_size 32' ENTER

# tmux send -t semi2 'python darp_fixmatch.py --name fixmatch_semi13_valfrac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_2e-5_wd_0_epoch_50 \
# --dataset mnli_new \
# --split semi13 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 2e-5 --weight-decay 0 --batch_size 32' ENTER

# tmux send -t semi1 'python darp_fixmatch.py --name fixmatch_semi03_valfrac_1_wsamling_pseudobalance_tau_0.95_class2_bert_lr_2e-5_wd_0_epoch_50 \
# --dataset mnli_new \
# --split semi03 --val_frac 1 --sampling group_weight --pseudo_balance \
# --tau 0.95 \
# --model bert  --num_classes 2 \
# --epochs 50 --lr 2e-5 --weight-decay 0 --batch_size 32' ENTER