#!/bin/bash

tmux new-session -d -s base0
tmux new-session -d -s base1
tmux new-session -d -s base2
tmux new-session -d -s base3

tmux send -t base0 'source ~/pytorch/bin/activate' ENTER
tmux send -t base1 'source ~/pytorch/bin/activate' ENTER
tmux send -t base2 'source ~/pytorch/bin/activate' ENTER
tmux send -t base3 'source ~/pytorch/bin/activate' ENTER

tmux send -t base0 'export CUDA_VISIBLE_DEVICES=0' ENTER
tmux send -t base1 'export CUDA_VISIBLE_DEVICES=1' ENTER
tmux send -t base2 'export CUDA_VISIBLE_DEVICES=2' ENTER
tmux send -t base3 'export CUDA_VISIBLE_DEVICES=3' ENTER

tmux send -t base0 'cd ~/workspace/iclr22_supcon' ENTER
tmux send -t base1 'cd ~/workspace/iclr22_supcon' ENTER
tmux send -t base2 'cd ~/workspace/iclr22_supcon' ENTER
tmux send -t base3 'cd ~/workspace/iclr22_supcon' ENTER





##### Waterbirds SupCon #####

# tmux send -t base1 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-4_epoch_300 \
# --dataset cub_prev --image_size 224 \
# --split supcon --val_frac 0.2 \
# --grad_accumulation 32 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --lr 1e-3 --weight-decay 1e-4' ENTER

# tmux send -t base1 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-3_epoch_300 \
# --dataset cub_prev --image_size 224 \
# --split supcon --val_frac 0.2 \
# --grad_accumulation 32 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --lr 1e-4 --weight-decay 1e-3' ENTER


##### CelebA SupCon #####


# tmux send -t base1 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 0.1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --lr 1e-5 --weight-decay 1e-1' ENTER

# tmux send -t base2 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_epoch_300 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 0.1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_0.1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 300 --lr 1e-5 --weight-decay 1e-1' ENTER

# tmux send -t base1 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_500 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 0.1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 500 --lr 1e-4 --weight-decay 1e-1' ENTER

# tmux send -t base2 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_500 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 0.1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_0.1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --epochs 500 --lr 1e-4 --weight-decay 1e-1' ENTER



# tmux send -t base1 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_50_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 500 --batch_size 64 \
# --epochs 50 --lr 1e-4 --weight-decay 1e-1' ENTER

# tmux send -t base2 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_epoch_50_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 500 --batch_size 64 \
# --epochs 50 --lr 1e-5 --weight-decay 1e-1' ENTER

# tmux send -t base3 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_bs_256_epoch_20_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 500 --batch_size 256 \
# --epochs 20 --lr 1e-5 --weight-decay 1e-1' ENTER


# tmux send -t base1 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_epoch_100_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 500 --batch_size 64 \
# --epochs 100 --lr 1e-5 --weight-decay 1e-1 --seed 1' ENTER

# tmux send -t base2 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_epoch_100_seed2 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 500 --batch_size 64 \
# --epochs 100 --lr 1e-5 --weight-decay 1e-1 --seed 2' ENTER

# tmux send -t base3 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-5_wd_1e-1_epoch_100_seed3 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 500 --batch_size 64 \
# --epochs 100 --lr 1e-5 --weight-decay 1e-1 --seed 3' ENTER

# tmux send -t base2 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_200_seed2 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 100 --batch_size 64 \
# --epochs 200 --lr 1e-5 --weight-decay 1e-1 --seed 2' ENTER

# tmux send -t base3 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_200_seed2 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 100 --batch_size 64 \
# --epochs 200 --lr 1e-5 --weight-decay 1e-1 --seed 2' ENTER


# tmux send -t base0 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-1_epoch_200_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 100 --batch_size 64 \
# --epochs 200 --lr 1e-3 --weight-decay 1e-1 --seed 1' ENTER

# tmux send -t base1 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-3_wd_1e-1_epoch_200_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 100 --batch_size 64 \
# --epochs 200 --lr 1e-3 --weight-decay 1e-1 --seed 1' ENTER

# tmux send -t base2 'python supcon.py --name ours_supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_200_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --pseudo_bias fixmatch_valfrac_1_wsampling_pseudobalance_lr_1e-4_wd_1e-1 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 100 --batch_size 64 \
# --epochs 200 --lr 1e-4 --weight-decay 1e-1 --seed 1' ENTER

# tmux send -t base3 'python supcon.py --name supcon_gradacc_32_resnet50_imagenet_sgd_nolrdecay_lr_1e-4_wd_1e-1_epoch_200_seed1 \
# --dataset celeba --image_size 64 \
# --split supcon --val_frac 1 \
# --grad_accumulation 32 --temperature_supcon 0.05 \
# --model resnet50 --pretrained imagenet --num_classes 2 \
# --val_iteration 100 --batch_size 64 \
# --epochs 200 --lr 1e-4 --weight-decay 1e-1 --seed 1' ENTER

